# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss: "EXT:sitepackage/Resources/Public/Build/css/main.css"
    
    # CKEDITOR.ENTER_BR = 2
    enterMode: 2,
    
    height: 50,
    
    stylesSet:
      # Text color styles
      - { name: "Blau", element: "span", attributes: { class: "text-brand" } }
     
    format_tags: "p"

    toolbarGroups:
      - { name: styles, groups: [format, styles] }
      - { name: basicstyles, groups: [basicstyles] }

    allowedContent: true
    removeFormatAttributes: ""

    removePlugins:
  
  processing:
    HTMLparser_db:
        tags:
        rmTagIfNoAttrib: false

